Processing toolbox: r.reclass failing on Windows

2017-01-29 09:40 AM - Markus Neteler

Status: Closed

Priority: High

Assignee:

Category: Processing/GRASS

Affected QGIS version:2.18.23 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 24040

Description

From

https://gis.stackexchange.com/questions/225923/how-to-avoir-ioerror-errno-13-permission-denied-when-running-r-reclass-from

(also verified in 2.18 on Windows myself)

While it works fine on Linux, r.reclass is failing on Windows:

2017-01-26T12:25:14 2   Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\processing\\algs\\grass7\\Grass7Algorithm.py", line 274, in

processAlgorithm

                func(self)

              File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\processing\\algs\\grass7\\ext\

_reclass.py", line 45, in processCommand

                with open(tempRulesName, "w") as tempRules:

            IOError: [Errno 13] Permission denied: u'tmp1485429914724

It seems that the TEMP dir is not set properly.

Associated revisions

Revision ee4681df - 2017-01-31 12:41 PM - Victor Olaya

[processing] fixed grass tempfiles

fixes #16128

Revision 2c188b2b - 2017-02-09 01:25 PM - Alexander Bruy

[processing] fix helper function from system module (fix #16128)

History

#1 - 2017-01-31 11:51 AM - Markus Neteler
https://gis.stackexchange.com/questions/225923/how-to-avoir-ioerror-errno-13-permission-denied-when-running-r-reclass-from


Problematic code is here:

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/grass7/ext/r_reclass.py#L45

Maybe this is missing:

from processing.tools.system import getTempFilename

(I compared to https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/grass7/ext/r_category.py )

#2 - 2017-02-09 04:13 AM - Alexander Bruy

- Category changed from Processing/Core to Processing/GRASS

#3 - 2017-02-09 04:21 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"2c188b2b0f00595ed4e2b3f0851250812b563456".

#4 - 2018-09-20 10:14 AM - matteo ghetta

- Priority changed from Normal to High

- Status changed from Closed to Reopened

- Description updated

- Assignee deleted (Victor Olaya)

- Regression? changed from No to Yes

- Affected QGIS version changed from 2.18.2 to 2.18.23

Issue still valid on Windows systems.

#5 - 2018-09-20 01:12 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

matteo ghetta wrote:

Issue still valid on Windows systems.

I just tried on QGIS master and 2.18.24 on Windows 10 and it works as expected. Can you share the data and reclass rules?

#6 - 2019-01-22 01:46 PM - Alexander Bruy

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/grass7/ext/r_reclass.py#L45
https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/grass7/ext/r_category.py

